Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066707 - Review Request: libwfd - A stand-alone implementation of the Wifi-Display protocol
Summary: Review Request: libwfd - A stand-alone implementation of the Wifi-Display pro...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 23:13 UTC by Peter Robinson
Modified: 2014-06-01 18:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-01 18:51:29 UTC


Attachments (Terms of Use)

Description Peter Robinson 2014-02-18 23:13:15 UTC
SPEC: http://pbrobinson.fedorapeople.org/libwfd.spec
SRPM: http://pbrobinson.fedorapeople.org/libwfd-0.0-0.1git21a82b9.fc20.src.rpm

%description
libwfd provides a stand-alone implementation of the Wifi-Display protocol. 
It is developed as part of MiracleCast, but doesn't have any of its heavy 
dependencies. You can use it to implement your own Miracast stack or for 
external helper programs.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6545205

Comment 1 Michael Schwendt 2014-02-20 20:59:32 UTC
Just a brief look at the spec:


> Version:       0.0

Where does this "0.0" come from? Is it a convention explained in documentation? 

Simply using "Version: 0" is more than enough for software that hasn't had a release yet. The extra .0 doesn't add any value.


> Release:       0.1git%{shortcommit}%{?dist}

You want a combination of "snapshot" and "pre-release",

  https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
  https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

resulting in

  Release: 0.%{X}.%{checkout}%{?dist}

with checkout=YYYYMMDDgit%{shortcommit} and X being the most-significant release value for normal package updates.


> %package devel
> Summary: Development package for opus

opus? ;-)


> Requires: libwfd = %{version}-%{release}

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

Comment 2 Peter Robinson 2014-06-01 18:51:29 UTC
No longer needed for the project I want to package and I believe no longer being developed.


Note You need to log in before you can comment on or make changes to this bug.